Installer - Bug #32648

Regression: mongo engine upgrade to WiredTiger fails with error: ""execute': wrong number of
arguments (given 1, expected 3) (ArgumentError)"
Description

On the affected versions, attempting to upgrade MongoDB Storage Engine from nmapv1 to WiredTiger using
1. foreman-installer --upgrade-mongo-storage-engine
Will fail with the error:

2021-05-18 10:01:59 [DEBUG ] [pre] Hook /usr/share/foreman-installer/hooks/pre/30-el7_upgrade_postgresql.rb returned nil
2021-05-18 10:01:59 [INFO ] [pre] Stopping Pulp services except MongoDB

2021-05-18 10:01:59 [DEBUG ] [pre] Getting running services

2021-05-18 10:01:59 [DEBUG ] [pre] Found running services ["rh-mongodb34-mongod.service"]

2021-05-18 10:01:59 [DEBUG ] [pre] Stopping running services rh-mongodb34-mongod.service

2021-05-18 10:01:59 [DEBUG ] [pre] Starting services rh-mongodb34-mongod

2021-05-18 10:02:00 [INFO ] [pre] Starting mongodump to /var/tmp/mongodb_engine_upgrade

2021-05-18 10:02:00 [DEBUG ] [root] Installer finished in 8.035169454 seconds

Traceback (most recent call last):

16: from /ust/sbin/satellite-installer:8:in “<main>"'

15: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:50:in “run'

14: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in “run’

13: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:169:in “run’

12: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in “run’'

11: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:205:in “execute'

10: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/kafo_configure.rb:454:in “run_installation
9: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:56:in “execute’

: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:56:in “each’

: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:58:in “block in execute'

: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hook_context.rb:19:in “execute’

: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hook_context.rb:19:in “instance_eval'

: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:35:in “block (4 levels) in load'

: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.2.1/lib/kafo/hooking.rb:35:in “instance_eval'

: from /usr/share/foreman-installer/katello/hooks/pre/31-mongo_storage_engine.rb:61:in “block (4 levels) in load'

: from /usr/share/foreman-installer/katello/hooks/pre/31-mongo_storage_engine.rb:18:in “migration’
/usr/share/foreman-installer/hooks/boot/01-kafo-hook-extensions.rb:130:in “execute': wrong number of arguments (given 1, expected
3) (ArgumentError)
History

#1 - 05/21/2021 04:37 PM - William Clark

- Status changed from Assigned to Rejected

- Target version deleted (1431)

- Found in Releases deleted (2.3.0, 2.3.1, 2.3.2, 2.3.3, 2.3.4)

This hook was actually removed in https://github.com/theforeman/foreman-installer/commit/c07bd04034c346e395d2d0923a18b06884746de3
